# PhasicFlow: positionRandom Class Reference

positionRandom Class Reference
Inheritance diagram for positionRandom:
[legend]
Collaboration diagram for positionRandom:
[legend]

## Public Member Functions

| TypeInfo ("positionRandom")
| positionRandom (const dictionary &dict)
| add_vCtor (positionParticles, positionRandom, dictionary)
virtual | ~positionRandom ()=default
virtual label | numPoints () const
virtual label | size () const
real | maxDiameter () const override
virtual const realx3Vector & | position () const
virtual realx3Vector & | position ()
Public Member Functions inherited from positionParticles
| TypeInfo ("positionParticles")
| positionParticles (const dictionary &dict)
| create_vCtor (positionParticles, dictionary,(const dictionary &dict),(dict))
virtual | ~positionParticles ()=default
virtual realx3Vector | getFinalPosition ()

## Protected Member Functions

bool | positionOnePass (int32 pass, int32 startNum)
bool | positionPointsRandom ()
bool | inCollision (const realx3 &cntr, real diam)
void | fillPoints (uint numPoints, realx3Vector_HD &points, int32Vector_HD &flags)
Protected Member Functions inherited from positionParticles
realx3Vector | sortByMortonCode (realx3Vector &position) const

## Protected Attributes

dictionary | prDict_
real | diameter_
size_t | numPoints_
size_t | maxIterations_
realx3Vector | position_
size_t | reportInterval_
Protected Attributes inherited from positionParticles
uniquePtr< regionBase > | region_ = nullptr
size_t | maxNumberOfParticles_ = 10000
Logical | mortonSorting_

## Additional Inherited Members

Static Public Member Functions inherited from positionParticles
static uniquePtr< positionParticles > | create (const dictionary &dict)
Static Protected Attributes inherited from positionParticles
static const size_t | numReports_ = 40

## Detailed Description

Definition at line 35 of file positionRandom.hpp.

## Constructor & Destructor Documentation

## positionRandom()

positionRandom | ( | const dictionary & | dict | ) |

Definition at line 160 of file positionRandom.cpp.

References pFlow::endl(), fatalErrorInFunction, fatalExit, dictionary::globalName(), and pFlow::max().

Here is the call graph for this function:

## ~positionRandom()

virtual ~positionRandom | ( |  | ) |

virtualdefault

## Member Function Documentation

## positionOnePass()

bool positionOnePass | ( | int32 | pass,
|  | int32 | startNum
| ) |  |

protected

Definition at line 59 of file positionRandom.cpp.

References NBSLevel0< executionSpace >::broadSearch(), Vector< T, Allocator >::clear(), cyanText, VectorSingle< T, MemorySpace >::deviceVectorAll(), VectorDual< T, MemorySpace >::deviceVectorAll(), positionRandom::diameter_, endREPORT, positionRandom::fillPoints(), pFlow::findCollisions(), greenText, n, positionRandom::numPoints_, positionRandom::position_, positionParticles::region_, REPORT, and VectorDual< T, MemorySpace >::syncViews().

Here is the call graph for this function:

## positionPointsRandom()

bool positionPointsRandom | ( |  | ) |

protected

Definition at line 120 of file positionRandom.cpp.

References fatalErrorInFunction.

## inCollision()

bool inCollision | ( | const realx3 & | cntr,
|  | real | diam
| ) |  |

protected

Definition at line 146 of file positionRandom.cpp.

References length().

Here is the call graph for this function:

## fillPoints()

void fillPoints | ( | uint | numPoints,
|  | realx3Vector_HD & | points,
|  | int32Vector_HD & | flags
| ) |  |

protected

Definition at line 203 of file positionRandom.cpp.

References pFlow::endl(), fatalErrorInFunction, fatalExit, VectorDual< T, MemorySpace >::modifyOnHost(), n, and VectorDual< T, MemorySpace >::syncViews().

Referenced by positionRandom::positionOnePass().

Here is the call graph for this function:
Here is the caller graph for this function:

## TypeInfo()

TypeInfo | ( | "positionRandom" |  | ) |

## add_vCtor()

add_vCtor | ( | positionParticles | ,
|  | positionRandom | ,
|  | dictionary |
| ) |  |

## numPoints()

virtual label numPoints | ( |  | ) | const

inlinevirtual

Implements positionParticles.

Definition at line 81 of file positionRandom.hpp.

References positionRandom::position_, and Vector< T, Allocator >::size().

Here is the call graph for this function:

## size()

virtual label size | ( |  | ) | const

inlinevirtual

Implements positionParticles.

Definition at line 86 of file positionRandom.hpp.

References positionRandom::position_, and Vector< T, Allocator >::size().

Here is the call graph for this function:

## maxDiameter()

real maxDiameter | ( |  | ) | const

inlineoverridevirtual

Implements positionParticles.

Definition at line 91 of file positionRandom.hpp.

References positionRandom::diameter_.

## position() [1/2]

virtual const realx3Vector& position | ( |  | ) | const

inlinevirtual

Implements positionParticles.

Definition at line 97 of file positionRandom.hpp.

References positionRandom::position_.

## position() [2/2]

virtual realx3Vector& position | ( |  | ) |

inlinevirtual

Implements positionParticles.

Definition at line 103 of file positionRandom.hpp.

References positionRandom::position_.

## Member Data Documentation

## prDict_

dictionary prDict_

protected

Definition at line 41 of file positionRandom.hpp.

## diameter_

real diameter_

protected

Definition at line 43 of file positionRandom.hpp.

Referenced by positionRandom::maxDiameter(), and positionRandom::positionOnePass().

## numPoints_

size_t numPoints_

protected

Definition at line 45 of file positionRandom.hpp.

Referenced by positionRandom::positionOnePass().

## maxIterations_

size_t maxIterations_

protected

Definition at line 47 of file positionRandom.hpp.

## position_

realx3Vector position_

protected

Definition at line 49 of file positionRandom.hpp.

Referenced by positionRandom::numPoints(), positionRandom::position(), positionRandom::positionOnePass(), and positionRandom::size().

## reportInterval_

size_t reportInterval_

protected

Definition at line 51 of file positionRandom.hpp.

The documentation for this class was generated from the following files:

- utilities/particlesPhasicFlow/positionRandom/positionRandom.hpp
- utilities/particlesPhasicFlow/positionRandom/positionRandom.cpp